com.holonplatform.vaadin.components.builders

## Interface SelectInputBuilder<T,C extends Input<T>,S,ITEM,B extends SelectInputBuilder<T,C,S,ITEM,B>>

- Type Parameters:
    `T` - Value type
    `C` - Input type
    `S` - Selection type
    `ITEM` - Selection items type
    `B` - Concrete builder type
  All Superinterfaces:
    BaseSelectInputBuilder<T,C,S,ITEM,B>, ComponentConfigurator<B>, InputBuilder<T,C,B>, InputConfigurator<T,B>
  All Known Subinterfaces:
    BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B>, BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B>, BaseSelectModeMultiPropertySelectInputBuilder<T,B>, BaseSelectModeMultiPropertySelectInputBuilder.OptionsModeMultiPropertySelectInputBuilder<T>, BaseSelectModeMultiPropertySelectInputBuilder.SelectModeMultiPropertySelectInputBuilder<T>, BaseSelectModeMultiSelectInputBuilder<T,B>, BaseSelectModeMultiSelectInputBuilder.OptionsModeMultiSelectInputBuilder<T>, BaseSelectModeMultiSelectInputBuilder.SelectModeMultiSelectInputBuilder<T>, BaseSelectModeSinglePropertySelectInputBuilder<T,B>, BaseSelectModeSinglePropertySelectInputBuilder.NativeModeSinglePropertySelectInputBuilder<T>, BaseSelectModeSinglePropertySelectInputBuilder.OptionsModeSinglePropertySelectInputBuilder<T>, BaseSelectModeSinglePropertySelectInputBuilder.SelectModeSinglePropertySelectInputBuilder<T>, BaseSelectModeSingleSelectInputBuilder<T,B>, BaseSelectModeSingleSelectInputBuilder.NativeModeSingleSelectInputBuilder<T>, BaseSelectModeSingleSelectInputBuilder.OptionsModeSingleSelectInputBuilder<T>, BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T>, MultiPropertySelectInputBuilder<T,B>, MultiPropertySelectInputBuilder.GenericMultiPropertySelectInputBuilder<T>, MultiSelectInputBuilder<T,B>, MultiSelectInputBuilder.GenericMultiSelectInputBuilder<T>, SelectItemDataSourceBuilder<T,C,S,ITEM,B>, SinglePropertySelectInputBuilder<T,B>, SinglePropertySelectInputBuilder.GenericSinglePropertySelectInputBuilder<T>, SingleSelectInputBuilder<T,B>, SingleSelectInputBuilder.GenericSingleSelectInputBuilder<T>

      public interface SelectInputBuilder<T,C extends Input<T>,S,ITEM,B extends SelectInputBuilder<T,C,S,ITEM,B>>
      extends BaseSelectInputBuilder<T,C,S,ITEM,B>

  Builder to create selection `Input`s.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B>>, BaseSelectInputBuilder.RenderingMode, BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `B` | `addItem(ITEM item)` Add a selection item to current selection item set.
    `default B` | `addItem(ITEM item, com.holonplatform.core.i18n.Localizable caption)` Add a selection item to current selection item set, providing an explicit item caption.
    `default B` | `addItem(ITEM item, String caption)` Add a selection item to current selection item set, providing an explicit item caption.
    `default B` | `addItem(ITEM item, String caption, String messageCode)` Add a selection item to current selection item set, providing an explicit item caption.
    `default B` | `items(ITEM... items)` Set the given items as selection item set.
    `B` | `items(Iterable<ITEM> items)` Set the given items as selection item set.

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator, itemIcon, itemIconGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputBuilder

      `asField, build, deferLocalization, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### items

          B items(Iterable<ITEM> items)

      Set the given items as selection item set.

      When selection items are explicitly setted, any item data source is ignored.

      Parameters:
        `items` - Items to set (not null)
      Returns:
        this

    - #### items

          default B items(ITEM... items)

      Set the given items as selection item set.

      When selection items are explicitly setted, any item data source is ignored.

      Parameters:
        `items` - Items to set (not null)
      Returns:
        this

    - #### addItem

          B addItem(ITEM item)

      Add a selection item to current selection item set.

      When selection items are explicitly setted, any item data source is ignored.

      Parameters:
        `item` - Item to add (not null)
      Returns:
        this

    - #### addItem

          default B addItem(ITEM item,
                            com.holonplatform.core.i18n.Localizable caption)

      Add a selection item to current selection item set, providing an explicit item caption.

      When selection items are explicitly setted, any item data source is ignored.

      Note that if an `ItemSet.ItemCaptionGenerator` is setted, the explicit caption is overridden by the caption provided by the generator.

      Parameters:
        `item` - Item to add (not null)
        `caption` - Localizable item caption
      Returns:
        this

    - #### addItem

          default B addItem(ITEM item,
                            String caption,
                            String messageCode)

      Add a selection item to current selection item set, providing an explicit item caption.

      When selection items are explicitly setted, any item data source is ignored.

      Note that if an `ItemSet.ItemCaptionGenerator` is setted, the explicit caption is overridden by the caption provided by the generator.

      Parameters:
        `item` - Item to add (not null)
        `caption` - Item caption
        `messageCode` - Item caption translation code
      Returns:
        this

    - #### addItem

          default B addItem(ITEM item,
                            String caption)

      Add a selection item to current selection item set, providing an explicit item caption.

      When selection items are explicitly setted, any item data source is ignored.

      Note that if an `ItemSet.ItemCaptionGenerator` is setted, the explicit caption is overridden by the caption provided by the generator.

      Parameters:
        `item` - Item to add (not null)
        `caption` - Item caption
      Returns:
        this

Copyright © 2017 The Holon Platform. All rights reserved.